%define rel 9
%define _disable_ld_no_undefined 1

Name:           libmm-qt
Version:        1.0.1
Release:        %mkrel %{rel}
Summary:        Qt wrapper for ModemManager DBus API
License:        LGPLv2+
Group:          System/Libraries
Url:            https://projects.kde.org/projects/extragear/libs/libmm-qt
Source0:        https://download.kde.org/unstable/modemmanager-qt/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         libmm-qt-1.0.1-optflags.patch
BuildRequires:  pkgconfig(QtCore) < 5.0.0
BuildRequires:  pkgconfig(ModemManager) >= 0.8
BuildRequires:  cmake


%description
Qt wrapper for ModemManager DBus API.

#------------------------------------------------------

%define libmodemmanager_major 0
%define libmodemmanager %mklibname modemmanagerqt %{libmodemmanager_major}

%package -n     %{libmodemmanager}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libmodemmanager}
Runtime library for the Qt wrapper for ModemManager DBus API.

%files -n %{libmodemmanager}
%{_libdir}/libModemManagerQt.so.%{libmodemmanager_major}{,.*}
%{_libdir}/libModemManagerQt.so.1*

#-----------------------------------------------------

%define libmodemmanager_devel %mklibname modemmanagerqt -d

%package -n     %{libmodemmanager_devel}
Summary:        Devel files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libmodemmanager} = %{version}-%{release}
Requires:       pkgconfig(ModemManager)

%description -n %{libmodemmanager_devel}
Header to build package against %{name}

%files -n %{libmodemmanager_devel}
%{_includedir}/ModemManagerQt
%{_libdir}/libModemManagerQt.so
%{_libdir}/pkgconfig/ModemManagerQt.pc

#------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt4
%cmake_build

%install
%cmake_install


%changelog
* Mon Apr 04 2022 umeabot <umeabot> 1.0.1-9.mga9
+ Revision: 1843050
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.1-8.mga8
+ Revision: 1514713
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-7.mga7
+ Revision: 1298997
- Mageia 7 Mass Rebuild

* Sun Oct 22 2017 daviddavid <daviddavid> 1.0.1-6.mga7
+ Revision: 1173149
- patch0: honor user CXXFLAGS thus fixing empty debugsourcefiles.list

* Wed Feb 03 2016 umeabot <umeabot> 1.0.1-5.mga6
+ Revision: 933589
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 750455
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-3.mga5
+ Revision: 726757
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-2.mga5
+ Revision: 681606
- Mageia 5 Mass Rebuild

* Sat Jul 12 2014 lmenut <lmenut> 1.0.1-1.mga5
+ Revision: 651506
- Update to 1.0.1

* Fri Nov 22 2013 lmenut <lmenut> 1.0.0-1.mga4
+ Revision: 552385
- Update tarball to 1.0.0
  fix files list
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ mikala <mikala>
- Update tarball to a master snapshot due to modemmanager 1.0.0 used in cauldron

* Mon Sep 16 2013 mikala <mikala> 0.5.1-1.mga4
+ Revision: 480255
- Update tarball to 0.5.1
- imported package libmm-qt

